# IMPORTS #
import es
import playerlib
import effectlib
# END IMPORTS #

# Time the trail take to fade.
pytrail_fadedelay = 1
# Intensity of trail.
pytrail_alpha = 100
# Start-width of the trail, near the player.
pytrail_startwidth = 5
# End-width of the trail, furthest from the player.
pytrail_endwidth = 3
# Trail model.
pytrail_model = "materials/sprites/laser.vmt"

# Default colours of the trail.
# Terrorist team: (2)
pytrail_red1 = 255		# Red value
pytrail_grn1 = 0		# Green value
pytrail_blu1 = 55		# Blue value
# Counter-Terrorist team: (3)
pytrail_red2 = 0		# Red value
pytrail_grn2 = 0		# Green value
pytrail_blu2 = 255		# Blue value

# Dictionary for player vectors.
dict_vectors = {}

def load():
	es.msg('#multi', '#green[PyTrails]#lightgreen :#green Loaded')

def player_spawn(event_var):
	userid = int(event_var['userid'])
	x,y,z = es.getplayerlocation(userid)
	dict_vectors[userid] = '%s,%s,%s'%(x,y,z)

def player_footstep(event_var):
	userid = int(event_var['userid'])
	x,y,z = es.getplayerlocation(userid)
	vector1 = es.getplayerprop(userid, "CBaseEntity.m_vecOrigin")
	vector2 = '%s'%dict_vectors[userid]
	team = int(event_var['es_userteam'])
	# If the player is a Terrorist, the beam will have the RGB values assigned to red1, grn1 and blu1, as explained above.
	if team == 2:
		effectlib.drawLine(vector1, vector2, pytrail_model, pytrail_model, pytrail_fadedelay, pytrail_startwidth, pytrail_endwidth, pytrail_red1, pytrail_grn1, pytrail_blu1, pytrail_alpha, 10, 0, 0, 0, 0)
		dict_vectors[userid] = '%s,%s,%s'%(x,y,z)
	# If the player is a Counter-Terrorist, the beam will have the RGB values assigned to red2, grn2 and blu2, as explained above.
	if team == 3:
		effectlib.drawLine(vector1, vector2, pytrail_model, pytrail_model, pytrail_fadedelay, pytrail_startwidth, pytrail_endwidth, pytrail_red2, pytrail_grn2, pytrail_blu2, pytrail_alpha, 10, 0, 0, 0, 0)
		dict_vectors[userid] = '%s,%s,%s'%(x,y,z)

def player_disconnect():
	userid = int(event_var['userid'])
	if dict_vectors.has_key[userid]:
		del dict_vectors[userid]

def unload():
	es.msg('#multi', '#green[PyTrails]#lightgreen :#green Unloaded')